From 8e9a66cd2dc71894716750dcbf14aa321b48e678 Mon Sep 17 00:00:00 2001
From: Philip Cali <philip.cali@gmail.com>
Date: Tue, 7 Feb 2012 11:02:10 -0600
Subject: Making use of javascript.

---
 grade/report/quick_edit/classes/lib.php  |    6 ++--
 grade/report/quick_edit/js/quick_edit.js |   41 +++++++++++++++++++++++++++++-
 grade/report/quick_edit/lib.php          |    3 ++
 3 files changed, 46 insertions(+), 4 deletions(-)

diff --git a/grade/report/quick_edit/classes/lib.php b/grade/report/quick_edit/classes/lib.php
index 36924dc..d0d5ea0 100644
--- a/grade/report/quick_edit/classes/lib.php
+++ b/grade/report/quick_edit/classes/lib.php
@@ -69,11 +69,11 @@ abstract class quick_edit_screen {
         $attrs = array('href' => '#');
 
         $all = html_writer::tag('a', get_string('all'), $attrs + array(
-            'class' => 'include_all ' . $key
+            'class' => 'include all ' . $key
         ));
 
         $none = html_writer::tag('a', get_string('none'), $attrs + array(
-            'class' => 'include_none ' . $key
+            'class' => 'include none ' . $key
         ));
 
         return html_writer::tag('span', "$all / $none", array(
@@ -100,7 +100,7 @@ abstract class quick_edit_screen {
         $module = array(
             'name' => 'gradereport_quick_edit',
             'fullpath' => '/grade/report/quick_edit/js/quick_edit.js',
-            'requires' => array('base', 'dom', 'event', 'io-base');
+            'requires' => array('base', 'dom', 'event', 'io-base')
         );
 
         $PAGE->requires->js_init_call('M.gradereport_quick_edit.init', array(), false, $module);
diff --git a/grade/report/quick_edit/js/quick_edit.js b/grade/report/quick_edit/js/quick_edit.js
index da16cc6..7f115d7 100644
--- a/grade/report/quick_edit/js/quick_edit.js
+++ b/grade/report/quick_edit/js/quick_edit.js
@@ -1,5 +1,44 @@
 M.gradereport_quick_edit = {};
 
 M.gradereport_quick_edit.init = function(Y) {
-    alert("hey");
+    var toggle = function(check) {
+        return function(input) {
+            if (check) {
+                input.setAttribute('checked', 'CHECKED');
+            } else {
+                input.removeAttribute('checked');
+            }
+        };
+    };
+
+    // Made toggle links
+    Y.all('.include').each(function(link) {
+        var type = link.getAttribute('class').split(" ")[2];
+
+        link.on('click', function() {
+            Y.all('input[name^=' + type + ']').each(toggle(link.hasClass('all')));
+            return false;
+        });
+    });
+
+    // Override Toggle
+    Y.all('input[name^=override_]').each(function(input) {
+        input.on('change', function() {
+            var checked = input.getDOMNode().checked;
+            var names = input.getAttribute('name').split("_");
+
+            var itemid = names[1];
+            var userid = names[2];
+
+            var interest = '_' + itemid + '_' + userid;
+
+            Y.all('input[name$=' + interest + ']').filter('input[type=text]').each(function(text) {
+                if (!checked) {
+                    text.setAttribute('disabled', 'DISABLED');
+                } else {
+                    text.removeAttribute('disabled');
+                }
+            });
+        });
+    });
 };
diff --git a/grade/report/quick_edit/lib.php b/grade/report/quick_edit/lib.php
index 5ee857e..5076cbd 100755
--- a/grade/report/quick_edit/lib.php
+++ b/grade/report/quick_edit/lib.php
@@ -79,6 +79,9 @@ class grade_report_quick_edit extends grade_report {
         $class = self::classname($itemtype);
 
         $this->screen = new $class($courseid, $itemid, $groupid);
+
+        // Load custom or predifined js
+        $this->screen->js();
     }
 
     function output() {
-- 
1.7.1


